Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049409
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajorN/A2022-05-25 12:062022-06-10 13:39
ReporterjorgewederagoView Statuspublic 
Assigned Tojorgewederago 
PrioritynormalResolutionfixedFixed in VersionRR22Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0049409: Pay open Tickets: Allow mixing positive and negative transaction

DescriptionAllow mixing positive and negative transaction when using Pay Open Tickets
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0138145)
hgbot (developer)
2022-06-08 10:39

Merge Request created: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/202 [^]
(0138149)
hgbot (developer)
2022-06-08 10:53

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/820 [^]
(0138219)
hgbot (developer)
2022-06-09 15:51

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: 618963d6e2fe16fa7767ac5a644ea62f3caac72c
Author: Jorge Wederago <jorge.wederago@openbravo.com>
Date: 09-06-2022 15:46:24
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/618963d6e2fe16fa7767ac5a644ea62f3caac72c [^]

Related to ISSUE-49409: Pay open Tickets - Allow mixing positive and negative transaction

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/MixedMultiOrders.java
---
(0138220)
hgbot (developer)
2022-06-09 15:51

Merge request merged: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/202 [^]
(0138221)
hgbot (developer)
2022-06-09 15:58

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 4e2e94675784e7a1a44b1ead7f04d2171fd0ddc8
Author: Jorge Wederago <jorge.wederago@openbravo.com>
Date: 09-06-2022 15:56:57
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/4e2e94675784e7a1a44b1ead7f04d2171fd0ddc8 [^]

Fixed ISSUE-49409: Merge branch 'fr/49409'

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/CompleteMultiTicketUtils.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/CompleteTicketUtils.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/TicketUtils.js
M web/org.openbravo.retail.posterminal/js/components/modal-pay-open-tickets.js
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/components/rendermultiorderline.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
---
(0138222)
hgbot (developer)
2022-06-09 15:58

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/820 [^]
(0138252)
hgbot (developer)
2022-06-10 12:09

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/823 [^]
(0138257)
hgbot (developer)
2022-06-10 13:39

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 1ebe86328ab944a73c792637397b31971ea42a34
Author: Jorge Wederago <jorge.wederago@openbravo.com>
Date: 10-06-2022 09:04:43
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/1ebe86328ab944a73c792637397b31971ea42a34 [^]

Related to ISSUE-49409: Pay open Tickets: Allow mixing positive and negative transaction

---
M web-test/model/business-object/ticket/actions/CompleteMultiTicket.test.js
---
(0138258)
hgbot (developer)
2022-06-10 13:39

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/823 [^]

- Issue History
Date Modified Username Field Change
2022-05-25 12:06 jorgewederago New Issue
2022-05-25 12:06 jorgewederago Assigned To => Retail
2022-05-25 12:06 jorgewederago Triggers an Emergency Pack => No
2022-05-25 12:06 jorgewederago Assigned To Retail => jorgewederago
2022-05-25 12:07 jorgewederago Status new => scheduled
2022-06-08 10:39 hgbot Note Added: 0138145
2022-06-08 10:53 hgbot Note Added: 0138149
2022-06-09 15:51 hgbot Note Added: 0138219
2022-06-09 15:51 hgbot Note Added: 0138220
2022-06-09 15:58 hgbot Resolution open => fixed
2022-06-09 15:58 hgbot Status scheduled => closed
2022-06-09 15:58 hgbot Fixed in Version => RR22Q3
2022-06-09 15:58 hgbot Note Added: 0138221
2022-06-09 15:58 hgbot Note Added: 0138222
2022-06-10 12:09 hgbot Note Added: 0138252
2022-06-10 13:39 hgbot Note Added: 0138257
2022-06-10 13:39 hgbot Note Added: 0138258


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker